!container
name: es_default
version: 5.6.2
tag: STD
image: rnd.hsnc.co.kr/elasticsearch:5.6.2
title: elastic 5.6.2 default(master-eligible + data) node
user: elasticsearch
volumes:
  /usr/share/elasticsearch/data: ${VolumePrefix + '_data'}
  /usr/share/elasticsearch/config: ${VolumePrefix + '_conf'}
runOpts:
  hostConfig: 
    networkMode: host
    ulimits:
      - {"name": "memlock", "soft": "-1", "hard": "-1"}
artifacts:
  - template: artifacts/elasticsearch.yml.ftl
    target: /usr/share/elasticsearch/config/elasticsearch.yml

